in Developing iOS

Come gestire i problemi di versione con Carthage

Nel caso abbiate problemi a compilare o aggiornare un progetto pieno di dipendenze gestite con Chartage e quindi vi dia vari problemi come ad esempio:

Cercando di aggiornare un progetto con Carthage

In questo caso sto utilizzando Swift 4.2 nel progetto ma una dipendenza è stata compilata con Swift 3.3!

Vi basterà (salvo imprevisti del caso) ricompilare anche le dipendenze con la versione di Swift attuale.

carthage update --platform iOS --no-use-binaries